IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2c19:dd:dd0:3d00::/56- First address
2c19:dd:dd0:3d00::- Last address
2c19:dd:dd0:3dff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2c19:00dd:0dd0:3d00:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
d.3.0.d.d.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:dd0:3d00::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:dd0:3d00::/64 | 2c19:dd:dd0:3d00:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:dd0:3d01::/64 | 2c19:dd:dd0:3d01:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:dd0:3d02::/64 | 2c19:dd:dd0:3d02:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:dd0:3d03::/64 | 2c19:dd:dd0:3d03:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:dd0:3d04::/64 | 2c19:dd:dd0:3d04:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:dd0:3d05::/64 | 2c19:dd:dd0:3d05:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:dd0:3d06::/64 | 2c19:dd:dd0:3d06:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:dd0:3d07::/64 | 2c19:dd:dd0:3d07:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:dd0:3d08::/64 | 2c19:dd:dd0:3d08:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:dd0:3d09::/64 | 2c19:dd:dd0:3d09:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:dd0:3d0a::/64 | 2c19:dd:dd0:3d0a:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:dd0:3d0b::/64 | 2c19:dd:dd0:3d0b:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:dd0:3d0c::/64 | 2c19:dd:dd0:3d0c:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:dd0:3d0d::/64 | 2c19:dd:dd0:3d0d:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:dd0:3d0e::/64 | 2c19:dd:dd0:3d0e:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:dd0:3d0f::/64 | 2c19:dd:dd0:3d0f:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:dd0:3d10::/64 | 2c19:dd:dd0:3d10:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:dd0:3d11::/64 | 2c19:dd:dd0:3d11:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:dd0:3d12::/64 | 2c19:dd:dd0:3d12:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:dd0:3d13::/64 | 2c19:dd:dd0:3d13:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:dd0:3d14::/64 | 2c19:dd:dd0:3d14:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:dd0:3d15::/64 | 2c19:dd:dd0:3d15:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:dd0:3d16::/64 | 2c19:dd:dd0:3d16:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:dd0:3d17::/64 | 2c19:dd:dd0:3d17:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:dd0:3d18::/64 | 2c19:dd:dd0:3d18:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:dd0:3d19::/64 | 2c19:dd:dd0:3d19:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:dd0:3d1a::/64 | 2c19:dd:dd0:3d1a:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:dd0:3d1b::/64 | 2c19:dd:dd0:3d1b:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:dd0:3d1c::/64 | 2c19:dd:dd0:3d1c:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:dd0:3d1d::/64 | 2c19:dd:dd0:3d1d:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:dd0:3d1e::/64 | 2c19:dd:dd0:3d1e:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:dd0:3d1f::/64 | 2c19:dd:dd0:3d1f:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:dd0:3d20::/64 | 2c19:dd:dd0:3d20:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:dd0:3d21::/64 | 2c19:dd:dd0:3d21:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:dd0:3d22::/64 | 2c19:dd:dd0:3d22:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:dd0:3d23::/64 | 2c19:dd:dd0:3d23:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:dd0:3d24::/64 | 2c19:dd:dd0:3d24:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:dd0:3d25::/64 | 2c19:dd:dd0:3d25:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:dd0:3d26::/64 | 2c19:dd:dd0:3d26:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:dd0:3d27::/64 | 2c19:dd:dd0:3d27:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:dd0:3d28::/64 | 2c19:dd:dd0:3d28:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:dd0:3d29::/64 | 2c19:dd:dd0:3d29:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:dd0:3d2a::/64 | 2c19:dd:dd0:3d2a:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:dd0:3d2b::/64 | 2c19:dd:dd0:3d2b:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:dd0:3d2c::/64 | 2c19:dd:dd0:3d2c:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:dd0:3d2d::/64 | 2c19:dd:dd0:3d2d:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:dd0:3d2e::/64 | 2c19:dd:dd0:3d2e:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:dd0:3d2f::/64 | 2c19:dd:dd0:3d2f:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:dd0:3d30::/64 | 2c19:dd:dd0:3d30:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:dd0:3d31::/64 | 2c19:dd:dd0:3d31:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:dd0:3d32::/64 | 2c19:dd:dd0:3d32:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:dd0:3d33::/64 | 2c19:dd:dd0:3d33:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:dd0:3d34::/64 | 2c19:dd:dd0:3d34:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:dd0:3d35::/64 | 2c19:dd:dd0:3d35:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:dd0:3d36::/64 | 2c19:dd:dd0:3d36:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:dd0:3d37::/64 | 2c19:dd:dd0:3d37:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:dd0:3d38::/64 | 2c19:dd:dd0:3d38:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:dd0:3d39::/64 | 2c19:dd:dd0:3d39:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:dd0:3d3a::/64 | 2c19:dd:dd0:3d3a:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:dd0:3d3b::/64 | 2c19:dd:dd0:3d3b:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:dd0:3d3c::/64 | 2c19:dd:dd0:3d3c:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:dd0:3d3d::/64 | 2c19:dd:dd0:3d3d:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:dd0:3d3e::/64 | 2c19:dd:dd0:3d3e:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:dd0:3d3f::/64 | 2c19:dd:dd0:3d3f:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:dd0:3d40::/64 | 2c19:dd:dd0:3d40:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:dd0:3d41::/64 | 2c19:dd:dd0:3d41:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:dd0:3d42::/64 | 2c19:dd:dd0:3d42:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:dd0:3d43::/64 | 2c19:dd:dd0:3d43:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:dd0:3d44::/64 | 2c19:dd:dd0:3d44:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:dd0:3d45::/64 | 2c19:dd:dd0:3d45:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:dd0:3d46::/64 | 2c19:dd:dd0:3d46:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:dd0:3d47::/64 | 2c19:dd:dd0:3d47:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:dd0:3d48::/64 | 2c19:dd:dd0:3d48:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:dd0:3d49::/64 | 2c19:dd:dd0:3d49:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:dd0:3d4a::/64 | 2c19:dd:dd0:3d4a:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:dd0:3d4b::/64 | 2c19:dd:dd0:3d4b:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:dd0:3d4c::/64 | 2c19:dd:dd0:3d4c:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:dd0:3d4d::/64 | 2c19:dd:dd0:3d4d:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:dd0:3d4e::/64 | 2c19:dd:dd0:3d4e:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:dd0:3d4f::/64 | 2c19:dd:dd0:3d4f:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:dd0:3d50::/64 | 2c19:dd:dd0:3d50:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:dd0:3d51::/64 | 2c19:dd:dd0:3d51:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:dd0:3d52::/64 | 2c19:dd:dd0:3d52:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:dd0:3d53::/64 | 2c19:dd:dd0:3d53:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:dd0:3d54::/64 | 2c19:dd:dd0:3d54:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:dd0:3d55::/64 | 2c19:dd:dd0:3d55:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:dd0:3d56::/64 | 2c19:dd:dd0:3d56:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:dd0:3d57::/64 | 2c19:dd:dd0:3d57:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:dd0:3d58::/64 | 2c19:dd:dd0:3d58:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:dd0:3d59::/64 | 2c19:dd:dd0:3d59:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:dd0:3d5a::/64 | 2c19:dd:dd0:3d5a:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:dd0:3d5b::/64 | 2c19:dd:dd0:3d5b:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:dd0:3d5c::/64 | 2c19:dd:dd0:3d5c:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:dd0:3d5d::/64 | 2c19:dd:dd0:3d5d:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:dd0:3d5e::/64 | 2c19:dd:dd0:3d5e:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:dd0:3d5f::/64 | 2c19:dd:dd0:3d5f:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:dd0:3d60::/64 | 2c19:dd:dd0:3d60:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:dd0:3d61::/64 | 2c19:dd:dd0:3d61:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:dd0:3d62::/64 | 2c19:dd:dd0:3d62:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:dd0:3d63::/64 | 2c19:dd:dd0:3d63:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:dd0:3d64::/64 | 2c19:dd:dd0:3d64:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:dd0:3d65::/64 | 2c19:dd:dd0:3d65:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:dd0:3d66::/64 | 2c19:dd:dd0:3d66:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:dd0:3d67::/64 | 2c19:dd:dd0:3d67:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:dd0:3d68::/64 | 2c19:dd:dd0:3d68:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:dd0:3d69::/64 | 2c19:dd:dd0:3d69:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:dd0:3d6a::/64 | 2c19:dd:dd0:3d6a:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:dd0:3d6b::/64 | 2c19:dd:dd0:3d6b:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:dd0:3d6c::/64 | 2c19:dd:dd0:3d6c:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:dd0:3d6d::/64 | 2c19:dd:dd0:3d6d:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:dd0:3d6e::/64 | 2c19:dd:dd0:3d6e:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:dd0:3d6f::/64 | 2c19:dd:dd0:3d6f:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:dd0:3d70::/64 | 2c19:dd:dd0:3d70:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:dd0:3d71::/64 | 2c19:dd:dd0:3d71:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:dd0:3d72::/64 | 2c19:dd:dd0:3d72:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:dd0:3d73::/64 | 2c19:dd:dd0:3d73:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:dd0:3d74::/64 | 2c19:dd:dd0:3d74:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:dd0:3d75::/64 | 2c19:dd:dd0:3d75:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:dd0:3d76::/64 | 2c19:dd:dd0:3d76:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:dd0:3d77::/64 | 2c19:dd:dd0:3d77:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:dd0:3d78::/64 | 2c19:dd:dd0:3d78:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:dd0:3d79::/64 | 2c19:dd:dd0:3d79:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:dd0:3d7a::/64 | 2c19:dd:dd0:3d7a:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:dd0:3d7b::/64 | 2c19:dd:dd0:3d7b:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:dd0:3d7c::/64 | 2c19:dd:dd0:3d7c:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:dd0:3d7d::/64 | 2c19:dd:dd0:3d7d:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:dd0:3d7e::/64 | 2c19:dd:dd0:3d7e:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:dd0:3d7f::/64 | 2c19:dd:dd0:3d7f:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:dd0:3d80::/64 | 2c19:dd:dd0:3d80:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:dd0:3d81::/64 | 2c19:dd:dd0:3d81:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:dd0:3d82::/64 | 2c19:dd:dd0:3d82:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:dd0:3d83::/64 | 2c19:dd:dd0:3d83:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:dd0:3d84::/64 | 2c19:dd:dd0:3d84:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:dd0:3d85::/64 | 2c19:dd:dd0:3d85:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:dd0:3d86::/64 | 2c19:dd:dd0:3d86:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:dd0:3d87::/64 | 2c19:dd:dd0:3d87:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:dd0:3d88::/64 | 2c19:dd:dd0:3d88:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:dd0:3d89::/64 | 2c19:dd:dd0:3d89:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:dd0:3d8a::/64 | 2c19:dd:dd0:3d8a:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:dd0:3d8b::/64 | 2c19:dd:dd0:3d8b:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:dd0:3d8c::/64 | 2c19:dd:dd0:3d8c:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:dd0:3d8d::/64 | 2c19:dd:dd0:3d8d:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:dd0:3d8e::/64 | 2c19:dd:dd0:3d8e:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:dd0:3d8f::/64 | 2c19:dd:dd0:3d8f:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:dd0:3d90::/64 | 2c19:dd:dd0:3d90:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:dd0:3d91::/64 | 2c19:dd:dd0:3d91:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:dd0:3d92::/64 | 2c19:dd:dd0:3d92:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:dd0:3d93::/64 | 2c19:dd:dd0:3d93:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:dd0:3d94::/64 | 2c19:dd:dd0:3d94:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:dd0:3d95::/64 | 2c19:dd:dd0:3d95:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:dd0:3d96::/64 | 2c19:dd:dd0:3d96:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:dd0:3d97::/64 | 2c19:dd:dd0:3d97:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:dd0:3d98::/64 | 2c19:dd:dd0:3d98:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:dd0:3d99::/64 | 2c19:dd:dd0:3d99:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:dd0:3d9a::/64 | 2c19:dd:dd0:3d9a:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:dd0:3d9b::/64 | 2c19:dd:dd0:3d9b:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:dd0:3d9c::/64 | 2c19:dd:dd0:3d9c:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:dd0:3d9d::/64 | 2c19:dd:dd0:3d9d:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:dd0:3d9e::/64 | 2c19:dd:dd0:3d9e:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:dd0:3d9f::/64 | 2c19:dd:dd0:3d9f:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:dd0:3da0::/64 | 2c19:dd:dd0:3da0:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:dd0:3da1::/64 | 2c19:dd:dd0:3da1:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:dd0:3da2::/64 | 2c19:dd:dd0:3da2:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:dd0:3da3::/64 | 2c19:dd:dd0:3da3:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:dd0:3da4::/64 | 2c19:dd:dd0:3da4:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:dd0:3da5::/64 | 2c19:dd:dd0:3da5:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:dd0:3da6::/64 | 2c19:dd:dd0:3da6:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:dd0:3da7::/64 | 2c19:dd:dd0:3da7:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:dd0:3da8::/64 | 2c19:dd:dd0:3da8:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:dd0:3da9::/64 | 2c19:dd:dd0:3da9:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:dd0:3daa::/64 | 2c19:dd:dd0:3daa:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:dd0:3dab::/64 | 2c19:dd:dd0:3dab:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:dd0:3dac::/64 | 2c19:dd:dd0:3dac:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:dd0:3dad::/64 | 2c19:dd:dd0:3dad:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:dd0:3dae::/64 | 2c19:dd:dd0:3dae:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:dd0:3daf::/64 | 2c19:dd:dd0:3daf:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:dd0:3db0::/64 | 2c19:dd:dd0:3db0:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:dd0:3db1::/64 | 2c19:dd:dd0:3db1:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:dd0:3db2::/64 | 2c19:dd:dd0:3db2:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:dd0:3db3::/64 | 2c19:dd:dd0:3db3:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:dd0:3db4::/64 | 2c19:dd:dd0:3db4:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:dd0:3db5::/64 | 2c19:dd:dd0:3db5:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:dd0:3db6::/64 | 2c19:dd:dd0:3db6:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:dd0:3db7::/64 | 2c19:dd:dd0:3db7:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:dd0:3db8::/64 | 2c19:dd:dd0:3db8:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:dd0:3db9::/64 | 2c19:dd:dd0:3db9:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:dd0:3dba::/64 | 2c19:dd:dd0:3dba:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:dd0:3dbb::/64 | 2c19:dd:dd0:3dbb:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:dd0:3dbc::/64 | 2c19:dd:dd0:3dbc:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:dd0:3dbd::/64 | 2c19:dd:dd0:3dbd:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:dd0:3dbe::/64 | 2c19:dd:dd0:3dbe:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:dd0:3dbf::/64 | 2c19:dd:dd0:3dbf:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:dd0:3dc0::/64 | 2c19:dd:dd0:3dc0:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:dd0:3dc1::/64 | 2c19:dd:dd0:3dc1:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:dd0:3dc2::/64 | 2c19:dd:dd0:3dc2:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:dd0:3dc3::/64 | 2c19:dd:dd0:3dc3:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:dd0:3dc4::/64 | 2c19:dd:dd0:3dc4:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:dd0:3dc5::/64 | 2c19:dd:dd0:3dc5:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:dd0:3dc6::/64 | 2c19:dd:dd0:3dc6:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:dd0:3dc7::/64 | 2c19:dd:dd0:3dc7:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:dd0:3dc8::/64 | 2c19:dd:dd0:3dc8:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:dd0:3dc9::/64 | 2c19:dd:dd0:3dc9:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:dd0:3dca::/64 | 2c19:dd:dd0:3dca:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:dd0:3dcb::/64 | 2c19:dd:dd0:3dcb:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:dd0:3dcc::/64 | 2c19:dd:dd0:3dcc:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:dd0:3dcd::/64 | 2c19:dd:dd0:3dcd:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:dd0:3dce::/64 | 2c19:dd:dd0:3dce:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:dd0:3dcf::/64 | 2c19:dd:dd0:3dcf:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:dd0:3dd0::/64 | 2c19:dd:dd0:3dd0:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:dd0:3dd1::/64 | 2c19:dd:dd0:3dd1:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:dd0:3dd2::/64 | 2c19:dd:dd0:3dd2:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:dd0:3dd3::/64 | 2c19:dd:dd0:3dd3:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:dd0:3dd4::/64 | 2c19:dd:dd0:3dd4:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:dd0:3dd5::/64 | 2c19:dd:dd0:3dd5:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:dd0:3dd6::/64 | 2c19:dd:dd0:3dd6:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:dd0:3dd7::/64 | 2c19:dd:dd0:3dd7:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:dd0:3dd8::/64 | 2c19:dd:dd0:3dd8:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:dd0:3dd9::/64 | 2c19:dd:dd0:3dd9:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:dd0:3dda::/64 | 2c19:dd:dd0:3dda:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:dd0:3ddb::/64 | 2c19:dd:dd0:3ddb:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:dd0:3ddc::/64 | 2c19:dd:dd0:3ddc:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:dd0:3ddd::/64 | 2c19:dd:dd0:3ddd:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:dd0:3dde::/64 | 2c19:dd:dd0:3dde:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:dd0:3ddf::/64 | 2c19:dd:dd0:3ddf:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:dd0:3de0::/64 | 2c19:dd:dd0:3de0:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:dd0:3de1::/64 | 2c19:dd:dd0:3de1:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:dd0:3de2::/64 | 2c19:dd:dd0:3de2:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:dd0:3de3::/64 | 2c19:dd:dd0:3de3:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:dd0:3de4::/64 | 2c19:dd:dd0:3de4:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:dd0:3de5::/64 | 2c19:dd:dd0:3de5:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:dd0:3de6::/64 | 2c19:dd:dd0:3de6:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:dd0:3de7::/64 | 2c19:dd:dd0:3de7:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:dd0:3de8::/64 | 2c19:dd:dd0:3de8:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:dd0:3de9::/64 | 2c19:dd:dd0:3de9:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:dd0:3dea::/64 | 2c19:dd:dd0:3dea:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:dd0:3deb::/64 | 2c19:dd:dd0:3deb:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:dd0:3dec::/64 | 2c19:dd:dd0:3dec:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:dd0:3ded::/64 | 2c19:dd:dd0:3ded:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:dd0:3dee::/64 | 2c19:dd:dd0:3dee:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:dd0:3def::/64 | 2c19:dd:dd0:3def:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:dd0:3df0::/64 | 2c19:dd:dd0:3df0:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:dd0:3df1::/64 | 2c19:dd:dd0:3df1:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:dd0:3df2::/64 | 2c19:dd:dd0:3df2:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:dd0:3df3::/64 | 2c19:dd:dd0:3df3:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:dd0:3df4::/64 | 2c19:dd:dd0:3df4:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:dd0:3df5::/64 | 2c19:dd:dd0:3df5:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:dd0:3df6::/64 | 2c19:dd:dd0:3df6:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:dd0:3df7::/64 | 2c19:dd:dd0:3df7:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:dd0:3df8::/64 | 2c19:dd:dd0:3df8:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:dd0:3df9::/64 | 2c19:dd:dd0:3df9:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:dd0:3dfa::/64 | 2c19:dd:dd0:3dfa:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:dd0:3dfb::/64 | 2c19:dd:dd0:3dfb:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:dd0:3dfc::/64 | 2c19:dd:dd0:3dfc:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:dd0:3dfd::/64 | 2c19:dd:dd0:3dfd:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:dd0:3dfe::/64 | 2c19:dd:dd0:3dfe:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:dd0:3dff::/64 | 2c19:dd:dd0:3dff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |